{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTMobPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/TESTMobPickupView.json",
  "memo" : "系统自动添加",
  "name" : "TESTMobPickupView",
  "openMode" : "POPUPMODAL",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "MobPickupView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "MobPickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "caption" : "测试实体",
      "codeName" : "TESTTestMobMDView",
      "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/TESTTestMobMDView.json",
      "memo" : "系统自动添加",
      "name" : "TESTTestMobMDView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSAppModule" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/Test.json"
      },
      "getPSAppViewEngines" : [ {
        "engineCat" : "VIEW",
        "engineType" : "MobMDView",
        "name" : "engine"
      } ],
      "getPSAppViewLogics" : [ {
        "logicTrigger" : "CUSTOM",
        "logicType" : "APPUILOGIC",
        "name" : "newdata",
        "getPSAppUILogic" : {
          "actionAfterWizard" : "DEFAULT",
          "logicType" : "PREDEFINED",
          "name" : "新建数据",
          "viewLogicType" : "APP_NEWDATA",
          "batchAddOnly" : false,
          "enableBatchAdd" : false,
          "enableWizardAdd" : false
        }
      }, {
        "logicTrigger" : "CUSTOM",
        "logicType" : "APPUILOGIC",
        "name" : "opendata",
        "getPSAppUILogic" : {
          "logicType" : "PREDEFINED",
          "name" : "打开数据",
          "viewLogicType" : "APP_OPENDATA",
          "editMode" : true
        }
      } ],
      "getPSControls" : [ {
        "codeName" : "testSearchBar",
        "controlType" : "SEARCHBAR",
        "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar.json",
        "groupMoreText" : "更多分组",
        "logicName" : "搜索栏（Test）",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "id" : "SEARCHBAR"
        },
        "getPSSearchBarFilters" : [ {
          "caption" : "类型(%)",
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "filter",
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSDEFSearchMode" : {
            "codeName" : "N_TYPE_LIKE",
            "name" : "N_TYPE_LIKE",
            "stdDataType" : 25,
            "valueOP" : "LIKE"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "filter"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "类型(=)",
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "type",
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSDEFSearchMode" : {
            "codeName" : "N_TYPE_EQ",
            "name" : "N_TYPE_EQ",
            "stdDataType" : 25,
            "valueOP" : "EQ"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "type",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/TestType.json"
            },
            "placeHolder" : "请选择输入",
            "singleSelect" : true
          },
          "width" : 200.0,
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "needCodeListConfig" : true,
          "showCaption" : false
        }, {
          "caption" : "测试实体名称(%)",
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "testname",
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSDEFSearchMode" : {
            "codeName" : "N_TESTNAME_LIKE",
            "name" : "N_TESTNAME_LIKE",
            "stdDataType" : 25,
            "valueOP" : "LIKE"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "testname"
          },
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        }, {
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "field",
          "getPSAppDEField" : {
            "name" : "FIELD",
            "codeName" : "Field"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field"
          },
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        }, {
          "dataType" : 25,
          "itemType" : "FILTER",
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "n_custom_eq",
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "n_custom_eq"
          },
          "allowEmpty" : true,
          "emptyCaption" : false,
          "hidden" : false,
          "showCaption" : false
        } ],
        "getPSSearchBarGroups" : [ {
          "caption" : "分组1",
          "itemType" : "GROUP",
          "name" : "group1",
          "width" : 0.0,
          "addSeparator" : false
        }, {
          "caption" : "分组2",
          "itemType" : "GROUP",
          "name" : "group2",
          "width" : 0.0,
          "addSeparator" : false
        }, {
          "caption" : "分组3",
          "itemType" : "GROUP",
          "name" : "group3",
          "width" : 0.0,
          "addSeparator" : false
        }, {
          "caption" : "分组444444444444444444444444",
          "itemType" : "GROUP",
          "name" : "group4444444444",
          "width" : 0.0,
          "addSeparator" : false
        }, {
          "caption" : "分组55555555555555555",
          "itemType" : "GROUP",
          "name" : "group5555555555",
          "width" : 0.0,
          "addSeparator" : false
        } ],
        "quickGroupCount" : 2,
        "quickSearchMode" : 2,
        "quickSearchWidth" : 0,
        "enableFilter" : true,
        "enableGroup" : true,
        "enableQuickSearch" : true,
        "mobileSearchBar" : false,
        "name" : "searchbar",
        "modelid" : "7BEE5399-A0C8-429E-865D-936279D7911D",
        "modeltype" : "PSSYSSEARCHBAR"
      }, {
        "codeName" : "TestMobMDView_MobList",
        "controlType" : "MOBMDCTRL",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create",
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST/PSMOBMDCTRLS/TestMobMDView_MobList.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load",
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "groupMode" : "NONE",
        "getItemPSLayoutPanel" : {
          "codeName" : "Usr0616619704",
          "controlType" : "PANEL",
          "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST/PSPANELS/Usr0616619704.json",
          "layoutMode" : "TABLE_24COL",
          "logicName" : "List2_列表项面板",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlParam" : { },
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRootPSPanelItems" : [ {
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "page_container",
            "getPSLayout" : {
              "dir" : "column",
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            }
          } ],
          "name" : "mdctrl_itempanel",
          "modelid" : "2D469B99-3C34-4520-8BB8-7EDBCD170E63",
          "modeltype" : "PSSYSVIEWPANEL"
        },
        "logicName" : "List2",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "列表控件处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "MDCTRL"
        },
        "getPSDEDataImport" : {
          "modelref" : true,
          "id" : "DataImport"
        },
        "getPSDEListDataItems" : [ {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          }
        } ],
        "pagingSize" : 1000,
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove",
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update",
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "hasWFDataItems" : false,
        "enableGroup" : false,
        "enableRowEdit" : false,
        "enableRowEditGroup" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "noSort" : false,
        "showHeader" : true,
        "name" : "mdctrl",
        "modelid" : "490E15C0-6F3C-4ADB-8087-5CA7D02CE280",
        "modeltype" : "PSDELIST"
      }, {
        "codeName" : "TestMobMDViewrighttoolbar",
        "controlType" : "TOOLBAR",
        "logicName" : "测试多数据视图_工具栏",
        "name" : "righttoolbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "id" : "RIGHTTOOLBAR"
        },
        "toolbarStyle" : "MOBNAVRIGHTMENU",
        "xDataControlName" : "mdctrl",
        "modelid" : "D047731E-834C-48F7-90A9-75B3F9D68236",
        "modeltype" : "PSDETOOLBAR"
      }, {
        "caption" : "测试实体",
        "codeName" : "TestMobMDViewcaptionbar",
        "controlType" : "CAPTIONBAR",
        "name" : "captionbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : { }
      } ],
      "getPSDEViewCodeName" : "TestMobMDView",
      "getPSDEViewId" : "BB00B32B-49F9-43BA-935E-74998F5EDD10",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEMOBMDVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "refFlag" : false,
      "title" : "测试多数据视图",
      "viewStyle" : "DEFAULT",
      "viewType" : "DEMOBMDVIEW",
      "xDataControlName" : "mdctrl",
      "enableDP" : true,
      "enableFilter" : true,
      "enablePullDownRefresh" : false,
      "enableQuickSearch" : true,
      "enableSearch" : true,
      "modelid" : "073333a5bf7e03e07ee3fa8cb650159a",
      "modeltype" : "PSAPPDEVIEW"
    },
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  }, {
    "caption" : "测试实体",
    "codeName" : "MobPickupViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "MobPickupView",
  "getPSDEViewId" : "325FDCD9-ABA6-46D2-8BB7-83E61BCFACC0",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "测试实体移动端数据选择视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBPICKUPVIEW",
  "enableDP" : true,
  "enablePullDownRefresh" : false,
  "showCaptionBar" : false,
  "modelid" : "ec4a7bc4f0792682de34981b35620221",
  "modeltype" : "PSAPPDEVIEW"
}